<template>
  <div id="q-app">
    <router-view />
  </div>
</template>

<script>
import { userSession } from "boot/blockstack";
import { mapActions } from "vuex";

export default {
  name: "App",
  data() {
    return {};
  },
  mounted() {
    if (userSession.isUserSignedIn()) {
      this.initBlockstack();
    }
  },
  methods: {
    ...mapActions(["initBlockstack"])
  }
};
</script>
<style>
.text-strikethrough {
  text-decoration: line-through;
}
</style>
